/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsArrowMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsArrowMenuC(LatexEditorPaneC editorPane)
    {
        super("Arrow");
        
        add(new MathSymbolMenuItemC(editorPane, "\\dashrightarrow", "dashrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\dashleftarrow", "dashleftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftleftarrows", "leftleftarrows.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftrightarrows", "leftrightarrows.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Lleftarrow", "Lleftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\twoheadleftarrow", "twoheadleftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftarrowtail", "leftarrowtail.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\looparrowleft", "looparrowleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftrightharpoons", "leftrightharpoons.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\curvearrowleft", "curvearrowleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circlearrowleft", "circlearrowleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Lsh", "Lsh.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\upuparrows", "upuparrows.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\upharpoonleft", "upharpoonleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\downharpoonleft", "downharpoonleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\multimap", "multimap.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftrightsquigarrow", "leftrightsquigarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\looparrowright", "looparrowright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightleftharpoons", "rightleftharpoons.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\curvearrowright", "curvearrowright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circlearrowright", "circlearrowright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Rsh", "Rsh.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\downdownarrows", "downdownarrows.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\upharpoonright", "upharpoonright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\downharpoonright", "downharpoonright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightsquigarrow", "rightsquigarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Rrightarrow", "Rrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightrightarrows", "rightrightarrows.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\twoheadrightarrow", "twoheadrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\restriction", "restriction.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightleftarrows", "rightleftarrows.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightarrowtail", "rightarrowtail.png"));
        
        fireMaxIconWidth();
    }
    
}
