/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsBinaryOperatorMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsBinaryOperatorMenuC(LatexEditorPaneC editorPane)
    {
        super("Binary Operator");
        
        add(new MathSymbolMenuItemC(editorPane, "\\dotplus", "dotplus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\smallsetminus", "smallsetminus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Cap", "caseCap.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Cup", "caseCup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\barwedge", "barwedge.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\veebar", "veebar.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\doublebarwedge", "doublebarwedge.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\boxminus", "boxminus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\boxtimes", "boxtimes.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\boxdot", "boxdot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\boxplus", "boxplus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\divideontimes", "divideontimes.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ltimes", "ltimes.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rtimes", "rtimes.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftthreetimes", "leftthreetimes.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightthreetimes", "rightthreetimes.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\curlywedge", "curlywedge.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\curlyvee", "curlyvee.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circleddash", "circleddash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circledast", "circledast.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circledcirc", "circledcirc.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\centerdot", "centerdot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\intercal", "intercal.png"));
        
        fireMaxIconWidth();
    }
    
}
