/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsMiscellaneousMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsMiscellaneousMenuC(LatexEditorPaneC editorPane)
    {
        super("Miscellaneous");
        
        add(new MathSymbolMenuItemC(editorPane, "\\hbar", "hbar.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\hslash", "hslash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\vartriangle", "vartriangle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\triangledown", "triangledown.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\square", "square.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lozenge", "lozenge.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circledS", "circledS.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\angle", "angle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\measuredangle", "measuredangle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nexists", "nexists.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\mho", "mho.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Finv", "Finv.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Game", "Game.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Bbbk", "Bbbk.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\backprime", "backprime.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\varnothing", "varnothing.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\blacktriangle", "blacktriangle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\blacktriangledown", "blacktriangledown.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\blacksquare", "blacksquare.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\blacklozenge", "blacklozenge.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bigstar", "bigstar.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sphericalangle", "sphericalangle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\complement", "complement.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\eth", "eth.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\diagup", "diagup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\diagdown", "diagdown.png"));
        
        fireMaxIconWidth();
    }
    
}
