/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsNegatedRelationOneMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsNegatedRelationOneMenuC(LatexEditorPaneC editorPane)
    {
        super("Negated Relation I");
        
        add(new MathSymbolMenuItemC(editorPane, "\\nless", "nless.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nleq", "nleq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nleqslant", "nleqslant.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nleqq", "nleqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lneq", "lneq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lneqq", "lneqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lvertneqq", "lvertneqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lnsim", "lnsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lnapprox", "lnapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nprec", "nprec.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\npreceq", "npreceq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\precnsim", "precnsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\precnapprox", "precnapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nsim", "nsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nshortmid", "nshortmid.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nmid", "nmid.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nvdash", "nvdash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nvDash", "casenvDash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ntriangleleft", "ntriangleleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ntrianglelefteq", "ntrianglelefteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nsubseteq", "nsubseteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\subsetneq", "subsetneq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\varsubsetneq", "varsubsetneq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\subsetneqq", "subsetneqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\varsubsetneqq", "varsubsetneqq.png"));
        
        fireMaxIconWidth();
    }
    
}
