/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsNegatedRelationTwoMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsNegatedRelationTwoMenuC(LatexEditorPaneC editorPane)
    {
        super("Negated Relation II");
        
        add(new MathSymbolMenuItemC(editorPane, "\\ngtr", "ngtr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ngeq", "ngeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ngeqslant", "ngeqslant.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ngeqq", "ngeqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gneq", "gneq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gneqq", "gneqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gvertneqq", "gvertneqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gnsim", "gnsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gnapprox", "gnapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nsucc", "nsucc.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nsucceq", "nsucceq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\succnsim", "succnsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\succnapprox", "succnapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ncong", "ncong.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nshortparallel", "nshortparallel.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nparallel", "nparallel.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nvDash", "casenvDash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nVDash", "casecasenVDash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ntriangleright", "ntriangleright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ntrianglerighteq", "ntrianglerighteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nsupseteq", "nsupseteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nsupseteqq", "nsupseteqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\supsetneq", "supsetneq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\varsupsetneq", "varsupsetneq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\supsetneqq", "supsetneqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\varsupsetneqq", "varsupsetneqq.png"));
        
        fireMaxIconWidth();
    }
    
}
