/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsRelationOneMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsRelationOneMenuC(LatexEditorPaneC editorPane)
    {
        super("Relation I");
        
        add(new MathSymbolMenuItemC(editorPane, "\\leqq", "leqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leqslant", "leqslant.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\eqslantless", "eqslantless.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lesssim", "lesssim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lessapprox", "lessapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\approxeq", "approxeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lessdot", "lessdot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lll", "lll.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\llless", "llless.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lessgtr", "lessgtr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lesseqgtr", "lesseqgtr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lesseqqgtr", "lesseqqgtr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\doteqdot", "doteqdot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Doteq", "caseDoteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\risingdotseq", "risingdotseq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\fallingdotseq", "fallingdotseq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\backsim", "backsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\backsimeq", "backsimeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\subseteqq", "subseteqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Subset", "caseSubset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqsubset", "sqsubset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\preccurlyeq", "preccurlyeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\curlyeqprec", "curlyeqprec.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\precsim", "precsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\precapprox", "precapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\vartriangleleft", "vartriangleleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\trianglelefteq", "trianglelefteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\vDash", "caseDvDash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Vvdash", "Vvdash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\smallsmile", "smallsmile.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\smallfrown", "smallfrown.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bumpeq", "bumpeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Bumpeq", "caseBumpeq.png"));
        
        fireMaxIconWidth();
    }
    
}
