/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsRelationTwoMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsRelationTwoMenuC(LatexEditorPaneC editorPane)
    {
        super("Relation II");
        
        add(new MathSymbolMenuItemC(editorPane, "\\geqq", "geqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\geqslant", "geqslant.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\eqslantgtr", "eqslantgtr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gtrsim", "gtrsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gtrapprox", "gtrapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gtrdot", "gtrdot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ggg", "ggg.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gggtr", "gggtr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gtrless", "gtrless.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gtreqless", "gtreqless.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gtreqqless", "gtreqqless.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\eqcirc", "eqcirc.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circeq", "circeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\triangleq", "triangleq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\thicksim", "thicksim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\thickapprox", "thickapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\supseteqq", "supseteqq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Supset", "caseSupset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqsupset", "sqsupset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\succcurlyeq", "succcurlyeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\curlyeqsucc", "curlyeqsucc.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\succsim", "succsim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\succapprox", "succapprox.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\vartriangleright", "vartriangleright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\trianglerighteq", "trianglerighteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Vdash", "caseVVdash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\shortmid", "shortmid.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\shortparallel", "shortparallel.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\between", "between.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\pitchfork", "pitchfork.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\varpropto", "varpropto.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\blacktriangleleft", "blacktriangleleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\therefore", "therefore.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\backepsilon", "backepsilon.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\blacktriangleright", "blacktriangleright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\because", "because.png"));
        
        fireMaxIconWidth();
    }
    
}
