/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class AmsSpecialMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public AmsSpecialMenuC(LatexEditorPaneC editorPane)
    {
        super("Special");
        
        add(new MathSymbolMenuItemC(editorPane, "\\nobreakdash", null));
        add(new MathSymbolMenuItemC(editorPane, "\\leftroot", null));
        add(new MathSymbolMenuItemC(editorPane, "\\uproot", null));
        add(new MathSymbolMenuItemC(editorPane, "\\accentedsymbol", null));
        add(new MathSymbolMenuItemC(editorPane, "\\xleftarrow{ }", "\\xleftarrow{}", "xleftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\xrightarrow{ }", "\\xrightarrow{}", "xrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\overset{ }{ }", "\\overset{}{}", "overset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\underset{ }{ }", "\\underset{}{}", "underset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\dfrac{ }{ }", "\\dfrac{}{}", "dfrac.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\genfrac{ }{ }{ }{ }{ }{ }", "\\genfrac{}{}{}{}{}{}", null));
        add(new MathSymbolMenuItemC(editorPane, "\\tfrac{ }{ }", "\\tfrac{}{}", "tfrac.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\binom{ }{ }", "\\binom{}{}", "binom.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\dbinom{ }{ }", "\\dbinom{}{}", "dbinom.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\tbinom{ }{ }", "\\tbinom{}{}", "tbinom.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\smash", null));
        add(new MathSymbolMenuItemC(editorPane, "\\eucal", null));
        add(new MathSymbolMenuItemC(editorPane, "\\boldsymbol{ }", "\\boldsymbol{}", "boldsymbol.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\text{ }", "\\text{}", "text.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\intertext", null));
        add(new MathSymbolMenuItemC(editorPane, "\\substack", null));
        add(new MathSymbolMenuItemC(editorPane, "\\subarray", null));
        add(new MathSymbolMenuItemC(editorPane, "\\sideset", null));
        
        fireMaxIconWidth();
    }
    
}
