/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexAccentMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexAccentMenuC(LatexEditorPaneC editorPane)
    {
        super("Accent");
        
        add(new MathSymbolMenuItemC(editorPane, "\\hat{ }", "\\hat{}", "hat.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\acute{ }", "\\acute{}", "acute.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bar{ }", "\\bar{}", "bar.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\dot{ }", "\\dot{}", "dot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\breve{ }", "\\breve{}", "breve.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\check{ }", "\\check{}", "check.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\grave{ }", "\\grave{}", "grave.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\vec{ }", "\\vec{}", "vec.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ddot{ }", "\\ddot{}", "ddot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\tilde{ }", "\\tilde{}", "tilde.png"));
        
        fireMaxIconWidth();
    }
    
}
