/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexArrowMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexArrowMenuC(LatexEditorPaneC editorPane)
    {
        super("Arrow");
        
        add(new MathSymbolMenuItemC(editorPane, "\\leftarrow", "leftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Leftarrow", "caseLeftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightarrow", "caserightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Rightarrow", "Rightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftrightarrow", "leftrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Leftrightarrow", "caseLeftrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\mapsto", "mapsto.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\hookleftarrow", "hookleftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftharpoonup", "leftharpoonup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\leftharpoondown", "leftharpoondown.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\longleftarrow", "longleftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Longleftarrow", "caseLongleftarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\longrightarrow", "longrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Longrightarrow", "caseLongrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\longleftrightarrow", "longleftrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Longleftrightarrow", "caseLongleftrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\longmapsto", "longmapsto.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\hookrightarrow", "hookrightarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightharpoonup", "rightharpoonup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rightharpoondown", "rightharpoondown.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\uparrow", "uparrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Uparrow", "caseUparrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\downarrow", "downarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Downarrow", "caseDownarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\updownarrow", "updownarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Updownarrow", "caseUpdownarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nearrow", "nearrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\searrow", "searrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\swarrow", "swarrow.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nwarrow", "nwarrow.png"));
        
        fireMaxIconWidth();
    }
    
}
