/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexBinaryOperatorMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexBinaryOperatorMenuC(LatexEditorPaneC editorPane)
    {
        super("Binary Operator");
        
        add(new MathSymbolMenuItemC(editorPane, "\\pm", "pm.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\mp", "mp.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\times", "times.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\div", "div.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ast", "ast.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\star", "star.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\circ", "circ.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bullet", "bullet.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\cdot", "cdot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\cap", "cap.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\cup", "cup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\uplus", "uplus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqcap", "sqcap.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqcup", "sqcup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\vee", "vee.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\wedge", "wedge.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\setminus", "setminus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\wr", "wr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\diamond", "diamond.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bigtriangleup", "bigtriangleup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bigtriangledown", "bigtriangledown.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\triangleleft", "triangleleft.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\triangleright", "triangleright.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lhd", "lhd.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rhd", "rhd.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\unlhd", "unlhd.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\unrhd", "unrhd.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\oplus", "oplus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ominus", "ominus.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\otimes", "otimes.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\oslash", "oslash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\odot", "odot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bigcirc", "bigcirc.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\dagger", "dagger.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ddagger", "ddagger.png"));
        
        fireMaxIconWidth();
    }
    
}
