/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexDelimiterMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexDelimiterMenuC(LatexEditorPaneC editorPane)
    {
        super("Delimiter");
        
        add(new MathSymbolMenuItemC(editorPane, "\\lfloor", "lfloor.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rfloor", "rfloor.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lceil", "lceil.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rceil", "rceil.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\langle", "langle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rangle", "rangle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rmoustache", "rmoustache.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lmoustache", "lmoustache.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rgroup", "rgroup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lgroup", "lgroup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\backslash", "backslash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\arrowvert", "arrowvert.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Arrowvert", "caseArrowvert.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bracevert", "bracevert.png"));
        
        fireMaxIconWidth();
    }
    
}
