/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexGreekLowercaseMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>
     *
     */
    public LatexGreekLowercaseMenuC(LatexEditorPaneC editorPane)
    {
        super("Greek Lowercase");
        
        add(new MathSymbolMenuItemC(editorPane, "\\alpha", "alpha.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\beta", "beta.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gamma", "gamma.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\delta", "delta.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\epsilon", "epsilon.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\zeta", "zeta.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\eta", "eta.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\theta", "theta.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\iota", "iota.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\kappa", "kappa.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lambda", "lambda.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\mu", "mu.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\nu", "nu.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\xi", "xi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\pi", "pi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\rho", "rho.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sigma", "sigma.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\tau", "tau.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\upsilon", "upsilon.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\phi", "phi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\chi", "chi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\psi", "psi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\omega", "omega.png"));
        
        fireMaxIconWidth();
    }
    
}
