/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexGreekUppercaseMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexGreekUppercaseMenuC(LatexEditorPaneC editorPane)
    {
        super("Greek Uppercase");
        
        add(new MathSymbolMenuItemC(editorPane, "\\Gamma", "caseGamma.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Delta", "caseDelta.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Lambda", "caseLambda.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Phi", "casePhi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Pi", "casePi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Psi", "casePsi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Sigma", "caseSigma.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Theta", "caseTheta.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Upsilon", "caseUpsilon.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Xi", "caseXi.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Omega", "caseOmega.png"));
        
        fireMaxIconWidth();
    }
    
}
