/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexLogLikeMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexLogLikeMenuC(LatexEditorPaneC editorPane)
    {
        super("Log-like");
        
        add(new MathSymbolMenuItemC(editorPane, "\\arccos", "arccos.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\arcsin", "arcsin.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\arctan", "arctan.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\arg", "arg.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\cos", "cos.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\cosh", "cosh.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\cot", "cot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\coth", "coth.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\csc", "csc.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\deg", "deg.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\det", "det.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\dim", "dim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\exp", "exp.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gcd", "gcd.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\hom", "hom.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\inf", "inf.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ker", "ker.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lg", "lg.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\lim", "lim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\liminf", "liminf.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\limsup", "limsup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ln", "ln.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\log", "log.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\max", "max.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\min", "min.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Pr", "Pr.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sec", "sec.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sin", "sin.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sinh", "sinh.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sup", "sup.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\tan", "tan.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\tanh", "tanh.png"));
        
        fireMaxIconWidth();
    }
    
}
