/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexMiscellaneousMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexMiscellaneousMenuC(LatexEditorPaneC editorPane)
    {
        super("Miscellaneous");
        
        add(new MathSymbolMenuItemC(editorPane, "\\nabla", "nabla.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\aleph", "aleph.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\prime", "prime.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\forall", "forall.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\infty", "infty.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\hbar", "hbar.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\emptyset", "emptyset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\exists", "exists.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\surd", "surd.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Box", "Box.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\triangle", "triangle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Diamond", "caseDiamond.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\imath", "imath.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ell", "ell.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\neg", "neg.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\not", "not.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\top", "top.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\flat", "flat.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\natural", "natural.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sharp", "sharp.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\wp", "wp.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bot", "bot.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\clubsuit", "clubsuit.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\diamondsuit", "diamondsuit.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\heartsuit", "heartsuit.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\spadesuit", "spadesuit.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\mho", "mho.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Re", "Re.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Im", "Im.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\angle", "angle.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\partial", "partial.png"));
        
        fireMaxIconWidth();
    }
    
}
