/*
 * MathSymbolMenuC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.LatexEditorPaneC;

/**
 *
 * @author Jess Thrysoee
 */
public class LatexRelationMenuC extends AbstractMathSymbolMenuC
{
    
    /**
     * Constructs a new <code>JMenu</code>.
     * @param editorPane
     */
    public LatexRelationMenuC(LatexEditorPaneC editorPane)
    {
        super("Relation");
        
        add(new MathSymbolMenuItemC(editorPane, "\\leq", "leq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\geq", "geq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\equiv", "equiv.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\models", "models.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\prec", "prec.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\succ", "succ.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sim", "sim.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\perp", "perp.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\preceq", "preceq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\succeq", "succeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\simeq", "simeq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\mid", "mid.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ll", "ll.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\gg", "gg.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\asymp", "asymp.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\parallel", "parallel.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\subset", "subset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\supset", "supset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\approx", "approx.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\bowtie", "bowtie.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\subseteq", "subseteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\supseteq", "supseteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\cong", "cong.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\Join", "Join.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqsubset", "sqsubset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqsupset", "sqsupset.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\neq", "neq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\smile", "smile.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqsubseteq", "sqsubseteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\sqsupseteq", "sqsupseteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\doteq", "doteq.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\frown", "frown.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\in", "in.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\ni", "ni.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\propto", "propto.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\vdash", "vdash.png"));
        add(new MathSymbolMenuItemC(editorPane, "\\dashv", "dashv.png"));
        
        fireMaxIconWidth();
    }
    
}
