/*
 * MathSymbolMenuItemC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.laeqed.latexeditor.symbolsmenu;

import dk.thrysoee.laeqed.latexeditor.*;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import javax.swing.JMenuItem;
import javax.swing.SwingConstants;

/**
 *
 * @author Jess Thrysoee
 */
public class MathSymbolMenuItemC extends JMenuItem implements PropertyChangeListener
{
    private MathSymbolActionC action;
    
    
    /**
     * Creates a new instance of MathSymbolMenuItemC where <code>label</code>
     * and <code>latexCommand</code> are identical.
     *
     * @param editorPane
     * @param latexCommand
     * @param iconResource
     */
    public MathSymbolMenuItemC(LatexEditorPaneC editorPane, String latexCommand, String iconResource)
    {
        this(editorPane, latexCommand, latexCommand, iconResource);
    }
    
    /**
     * Creates a new instance of MathSymbolMenuItemC
     *
     * @param editorPane
     * @param label
     * @param latexCommand
     * @param iconResource
     */
    public MathSymbolMenuItemC(LatexEditorPaneC editorPane, String label, String latexCommand, String iconResource)
    {
        action = new MathSymbolActionC(editorPane, label, latexCommand, iconResource);
        setAction(action);
        
        setHorizontalTextPosition(SwingConstants.TRAILING);
    }
    
    
    /**
     *
     */
    public int getIconWidth()
    {
        return action.icon.getIconWidth();
    }
    
    
    /**
     *
     * @param evt
     */
    public void propertyChange(PropertyChangeEvent evt)
    {
        if ("MaxIconWidth".equals(evt.getPropertyName()))
        {
            action.icon.setIconWidth(((Integer)evt.getNewValue()).intValue());
        }
    }
    
}
