/*
 * PNGFilterC.java
 *
 * Copyright (C) 2006 Jess Thrysoee
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package dk.thrysoee.utils;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author Jess Thrysoee
 */
public class PNGFilterC extends FileFilter
{
    
    //Accept all directories and all png files.
    public boolean accept(File file)
    {
        if (file.isDirectory())
        {
            return true;
        }
        
        String extension = PNGExtensionC.getExtension(file);
        if (extension != null)
        {
            return extension.equals(PNGExtensionC.png); 
        }
        
        return false;
    }
    
    //The description of this filter
    public String getDescription()
    {
        return "PNG";
    }
}


